Bug 1011682 - Propagate At Launch flag not being properly parsed with autoscaling tags
Propagate At Launch flag not being properly parsed with autoscaling tags
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: python-boto (Show other bugs)
el6
All All
unspecified Severity medium
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 16:18 EDT by David Kavanagh
Modified: 2013-10-19 14:02 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-boto-2.13.3-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-18 15:55:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Kavanagh 2013-09-24 16:18:25 EDT
Description of problem:
Autoscaling tags have an additional field compared to normal tags and this field was not being properly parsed in the server response.

Version-Release number of selected component (if applicable):
2.9.9-2

How reproducible:
try reading an autoscaling tag which has this flag set to true.

Steps to Reproduce:
1. this is easy to reproduce with the Eucalyptus user console (testing branch)
2. Can provide some python test code if necessary.
3.

Actual results:
flag is always false

Expected results:
flag should be true if set as true

Additional info:
https://github.com/boto/boto/pull/1739
Comment 1 Fedora Update System 2013-09-26 21:10:22 EDT
python-boto-2.13.3-1.fc20,euca2ools-2.1.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-boto-2.13.3-1.fc20,euca2ools-2.1.4-1.fc20
Comment 2 Fedora Update System 2013-09-26 21:12:15 EDT
python-boto-2.13.3-1.fc19,euca2ools-2.1.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-boto-2.13.3-1.fc19,euca2ools-2.1.4-1.fc19
Comment 3 Fedora Update System 2013-09-26 21:13:25 EDT
python-boto-2.13.3-1.fc18,euca2ools-2.1.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-boto-2.13.3-1.fc18,euca2ools-2.1.4-1.fc18
Comment 4 Fedora Update System 2013-09-26 21:14:55 EDT
python-boto-2.13.3-1.el6,euca2ools-2.1.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-boto-2.13.3-1.el6,euca2ools-2.1.4-1.el6
Comment 5 Fedora Update System 2013-09-27 20:22:39 EDT
Package python-boto-2.13.3-1.fc19, euca2ools-2.1.4-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-boto-2.13.3-1.fc19 euca2ools-2.1.4-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17858/python-boto-2.13.3-1.fc19,euca2ools-2.1.4-1.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-10-15 02:29:36 EDT
python-boto-2.13.3-1.fc20, euca2ools-2.1.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-10-18 15:37:18 EDT
python-boto-2.13.3-1.fc18, euca2ools-2.1.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-10-18 15:55:14 EDT
python-boto-2.13.3-1.fc19, euca2ools-2.1.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-10-19 14:02:02 EDT
python-boto-2.13.3-1.el6, euca2ools-2.1.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.